Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1694303 - [OCP4 Beta] nodelink-controller and the machine-approver are not working on OpenStack
Summary: [OCP4 Beta] nodelink-controller and the machine-approver are not working on O...
Keywords:
Status: POST
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.0
Assignee: Jan Chaloupka
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-30 10:15 UTC by Stuart Auchterlonie
Modified: 2019-04-08 12:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Stuart Auchterlonie 2019-03-30 10:15:54 UTC
Description of problem:

Machines objects should be linked to nodes and the csr should approved by the
machine-approver but due to the missing Machine.Status field the created
machines are never linked or approved.

Version-Release number of selected component (if applicable):

OCP4 Beta

How reproducible:

100%

Steps to Reproduce:
1.
2.
3.

Actual results:

without this change there currently two issues on OpenStack:
1.) The cluster will die after some hours because the CSRs are not automatically approved.
2.) The machines that were created via the machine-api are not referenced to the node objects and therefore labels are not synced from the machine definition.


Expected results:

Machines are correctly created via the machine api

Additional info:

This has been identified on OCP4 Beta

Comment 2 Florin Peter 2019-04-07 18:36:28 UTC
upstream PR https://github.com/openshift/cluster-api-provider-openstack/pull/29

Comment 3 Jan Chaloupka 2019-04-08 12:01:44 UTC
This bugzilla ticket is actually about two issues:
1) nodelink controller not linking machines (covered by https://github.com/openshift/cluster-api-provider-openstack/pull/29 as instance IP addresses needs to be reported in a machine status)
2) node approver: machine.Status.NodeRef field needs to be set (https://github.com/openshift/cluster-machine-approver/blob/master/csr_check.go#L102-L107). The field is set by the nodelink controller once a machine and node are linked together (requires IP addresses to be set in the machine status)

So resolving the first issue will unblock the second one.

Switching to POST as https://github.com/openshift/cluster-api-provider-openstack/pull/29 is on review.


Note You need to log in before you can comment on or make changes to this bug.